Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1121207

Title: Adding Lifecycle Environments to a Red Hat Satellite Capsule Server

Describe the issue:

capsule-certs-generate output says use --register-in-foreman  "true", but Installation Guide 5.3.2.b.2 says --register-in-forem an

"false"?

Suggestions for improvement:

I don't know what's correct.

Additional information:

in the next step I fail with

Could not add the lifecycle environment to the capsule:

Task d2feb860-bc85-43de-9ef4-7d114d01809a: RuntimeError: Could not find node distributor for repository

Notes:

on my capsule server:

subscription-manager unregister

subscription-manager clean

subscription-manager register --org="priority_health" --environment="Library" --release=6.5  admin / changeme

subscription-manager subscribe --pool=8ab2829946f7a4e10146f83f150700f3   (rhel lic)

subscription-manager subscribe --pool=8ab2829946f7a4e10146f83875150052   (capsule6 beta)

subscription-manager repos --disable "*"

subscription-manager repos --enable rhel-6-server-rpms

subscription-manager repos --enable rhel-server-rhscl-6-beta-rpms

subscription-manager repos --enable rhel-server-6-satellite-capsule-6-beta-rpms

yum info  katello-installer

yum install  katello-installer

Complete!

Generate a Satellite Capsule Server certificate On the Satellite Server!!!

On the Satellite6 server:

[root@satellite6 ~]#

capsule-certs-generate --capsule-fqdn satellite6-cap2.internal.priority-health.com --certs-tar 

~/satellite6-cap2.internal.priority-health.com-certs.tar

Installing             Done                                               [100%] [............]

Success!
To finish the installation, follow these steps:

 
1. Ensure that the capsule-installer is available on the system.

     The capsule-installer comes from the katello-installer package and

     should be acquired through the means that are appropriate to your deployment.

  2. Copy /root/satellite6-cap2.internal.priority-health.com-certs.tar to the system satellite6-ca

p2.internal.priority-health.com 

  3. Run the following commands on the capsule (possibly with the customized

     parameters, see capsule-installer --help and

     documentation for more info on setting up additional services):

 
rpm -Uvh http://satellite6.internal.priority-health.com/pub/katello-ca-consumer-latest.noarch.rpm

  subscription-manager register --org "ACME_Corporation"

 capsule-installer --parent-fqdn          "satellite6.internal.priority-health.com"\

--register-in-foreman  "true"\

--foreman-oauth-key    "ktGSVhLrafgzmFtYBmNQqeCc5tpAkJ9L"\

--foreman-oauth-secret "RGaECf24jsXYeGDVHnVZNFCJZW8C5LKq"\

--pulp-oauth-secret    "rMYr2gqpD5KEe5qJ9uT4gmMYYfEKTwvY"\

--certs-tar            "/root/satellite6-cap2.internal.priority-health.com-certs.tar"\

--puppet               "true"\

--puppetca             "true"\

--pulp                 "true"

The full log is at /var/log/katello-installer/capsule-certs-generate.log

[root@satellite6 ~]#

Copy tar file to capsule server:

scp satellite6* root@satellite6-cap2:/root

Now on Satellite6-cap2 do:

The Install manual says to do: (error in subscription-manager cmd)

1. rpm -Uvh http://sat6host.example.redhat.com /pub/katello-ca-consumerlatest.noarch.rpm

2. subscription-manager register --org register --org "ACME_Corporation" --env [environment]/[content_view_name]

--------------<drop this>

HOWEVER, I have already completed this prior is order to get repo access from the satellite server & katello-install

from History:

19  yum -y --nogpgcheck install 

http://satellite6.internal.priority-health.com/pub/katello-ca-consumer-satellite6.internal.priority-health.com-1.0-1.noarch.rpm

20  subscription-manager register --org="priority_health" --environment="Library" --release=6.5

So I'll just continue... I want to do ii. listed below from the Install Guide:

ii. Option 2 - Satellite Capsule Server as a Content Node:

capsule-installer   --parent-fqdn          "satellite6.internal.priority-health.com"\

--register-in-foreman  "false"\

--pulp-oauth-secret    "rMYr2gqpD5KEe5qJ9uT4gmMYYfEKTwvY"\

--certs-tar            "/root/satellite6-cap2.internal.priority-health.com-certs.tar"\

--puppet               "true"\

--puppetca             "true"\

--pulp                 "true"

Installing             Done                                               [100%] [...........................................]

Success!   * Capsule is running at https://satellite6-cap2.internal.priority-health.com:9090

The full log is at /var/log/katello-installer/capsule-installer.log

Now, when I continue with 5.4. Adding Lifecycle Environments,

in Satellite6 do:

[root@satellite6 ~]# hammer capsule list

---|-----------------------------------------|-----------------------------------------------------

ID | NAME                                    | URL

---|-----------------------------------------|-----------------------------------------------------

1  | satellite6.internal.priority-health.com | https://satellite6.internal.priority-health.com:9090

---|-----------------------------------------|-----------------------------------------------------
[root@satellite6 ~]#

My capsule is missing.

So I looked back at the output from capsule-certs-generate, and it specified this for of the command which

I reran on the capsule server:

capsule-installer --parent-fqdn          "satellite6.internal.priority-health.com"\

                    --register-in-foreman  "true"\

                    --foreman-oauth-key    "ktGSVhLrafgzmFtYBmNQqeCc5tpAkJ9L"\

                    --foreman-oauth-secret "RGaECf24jsXYeGDVHnVZNFCJZW8C5LKq"\

                    --pulp-oauth-secret    "rMYr2gqpD5KEe5qJ9uT4gmMYYfEKTwvY"\

                    --certs-tar            "/root/satellite6-cap2.internal.priority-health.com-cer

ts.tar"\

                    --puppet               "true"\

                    --puppetca             "true"\

                    --pulp                 "true"

 Again, it completed successfully.

Now I see

[root@satellite6 ~]# hammer capsule list

---|----------------------------------------------|----------------------------------------------------------

ID | NAME                                         | URL

---|----------------------------------------------|----------------------------------------------------------

2  | satellite6-cap2.internal.priority-health.com | https://satellite6-cap2.internal.priority-health.com:9090

1  | satellite6.internal.priority-health.com      | https://satellite6.internal.priority-health.com:9090

---|----------------------------------------------|----------------------------------------------------------

[root@satellite6 ~]# hammer capsule content available-lifecycle-environments --id 1

No data.

[root@satellite6 ~]# hammer capsule content available-lifecycle-environments --id 2

---|---------|-----------------

ID | NAME    | ORGANIZATION

---|---------|-----------------

4  | dev     | priority health

3  | Library | spectrum health

5  | test    | priority health

1  | Library | ACME_Corporation

6  | prod    | priority health

2  | Library | priority health

---|---------|-----------------

[root@satellite6 ~]#

I don't know why --id 1 has No data. That is the capsule running on the primary satellite6 server.

[root@satellite6 ~]# hammer capsule content add-lifecycle-environment --id 2 --environment-id 1

Lifecycle environment successfully added to the capsule

[root@satellite6 ~]# hammer capsule content add-lifecycle-environment --id 2 --environment-id 2

Could not add the lifecycle environment to the capsule:

Task d2feb860-bc85-43de-9ef4-7d114d01809a: RuntimeError: Could not find node distributor for repository

priority_health-Red_Hat_Enterprise_Linux_Server-Red_Hat_Enterprise_Linux_6_Server_ISOs_x86_64_6_5; RuntimeError: Could

not find node distributor for repository

priority_health-Red_Hat_Enterprise_Linux_Server-Red_Hat_Enterprise_Linux_6_Server_ISOs_x86_64_6Server; RuntimeError:

Could not find node distributor for repository

priority_health-Red_Hat_Satellite_6_Beta-Red_Hat_Satellite_6_0_Beta_for_RHEL_6_Server_ISOs_x86_64; RuntimeError: Could

not find node distributor for repository

priority_health-Red_Hat_Satellite_Capsule_6_Beta-Red_Hat_Satellite_Capsule_6_0_Beta_for_RHEL_6_Server_ISOs_x86_64

[root@satellite6 ~]# hammer capsule content add-lifecycle-environment --id 2 --environment-id 3

Lifecycle environment successfully added to the capsule

[root@satellite6 ~]# hammer capsule content add-lifecycle-environment --id 2 --environment-id 4

Lifecycle environment successfully added to the capsule

[root@satellite6 ~]# hammer capsule content add-lifecycle-environment --id 2 --environment-id 5

Lifecycle environment successfully added to the capsule

[root@satellite6 ~]# hammer capsule content add-lifecycle-environment --id 2 --environment-id 6

Lifecycle environment successfully added to the capsule

[root@satellite6 ~]#

Thanks,

05/17/2024 3/4

https://satellite6-cap2.internal.priority-health.com:9090
https://satellite6.internal.priority-health.com:9090


Paul

Associated revisions

Revision fbc828c7 - 08/22/2014 10:37 AM - Justin Sherrill

fixes #7175 - do not treat iso repos as capsule syncable

Revision ac201dbd - 08/22/2014 11:23 AM - Justin Sherrill

Merge pull request #4596 from jlsherrill/7175

fixes #7175 - do not treat iso repos as capsule syncable

History

#1 - 08/20/2014 10:04 AM - Justin Sherrill

- Target version set to 55

- translation missing: en.field_release set to 13

- Difficulty set to easy

- Triaged changed from No to Yes

#2 - 08/20/2014 01:43 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4596 added

- Pull request deleted ()

#3 - 08/22/2014 12:01 PM - Justin Sherrill

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|fbc828c7fe7a424d9d445bbb34e632861f2f4338.
